| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
IOLink.DataStorage Class Reference

Describes a data source, that manages and opens DataAccess instances. More...

Inheritance diagram for IOLink.DataStorage:

## Public Member Functions
| DataStorage (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()
virtual SWIGTYPE_p_std__shared_ptrT_StreamAccess_t | OpenStreamAccess (string resourceId, AccessCapabilities capabilities)
| Open a stream-like accessor to a given resource.
virtual SWIGTYPE_p_std__shared_ptrT_RandomAccess_t | OpenRandomAccess (string resourceId, AccessCapabilities capabilities)
| Open an array-like accessor to a given resource.
virtual string | GetSource ()
| Return a string that describe the storage's source of data.

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (DataStorage obj)

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Properties
string | Source`[get]`
| A string describing the source of the storage.

## Detailed Description

Describes a data source, that manages and opens DataAccess instances.

## Member Function Documentation

## ◆ GetSource()

virtual string IOLink.DataStorage.GetSource | ( |  | ) |
| inline virtual

Return a string that describe the storage's source of data.

Usually has the form of an URI, for example:

- "file:/home/user/folder" for a filesystem storage
- "http://amazing.website.net" for an HTTP storage

## ◆ OpenRandomAccess()

virtual SWIGTYPE_p_std__shared_ptrT_RandomAccess_t IOLink.DataStorage.OpenRandomAccess | ( | string | resourceId,
|  | AccessCapabilities | capabilities
| ) |  |
| inline virtual

Open an array-like accessor to a given resource.

Parameters

  resourceId | The resource name
  capabilities | The capabilities you want the accessor to support

Returns
  The opened random-access accessor.

Exceptions

  Error | if the storage can not access to the resource.
  Error | if the resource does not support the request capabilities.

## ◆ OpenStreamAccess()

virtual SWIGTYPE_p_std__shared_ptrT_StreamAccess_t IOLink.DataStorage.OpenStreamAccess | ( | string | resourceId,
|  | AccessCapabilities | capabilities
| ) |  |
| inline virtual

Open a stream-like accessor to a given resource.

Parameters

  resourceId | The resource name
  capabilities | The capabilities you want the accessor to support

Returns
  The opened stream accessor.

Exceptions

  Error | if the storage can not access to the resource.
  Error | if the resource does not support the requested capabilities.

The documentation for this class was generated from the following file:

- Release/net/generated/DataStorage.cs